Lucene search

K
cve[email protected]CVE-2023-32677
HistoryMay 19, 2023 - 9:15 p.m.

CVE-2023-32677

2023-05-1921:15:08
CWE-862
web.nvd.nist.gov
28
zulip
zulip server
security control
user invitation
upgrade
cve-2023-32677

3.1 Low

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

LOW

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:N/A:N

4.1 Medium

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

45.7%

Zulip is an open-source team collaboration tool with unique topic-based threading. Zulip administrators can configure Zulip to limit who can add users to streams, and separately to limit who can invite users to the organization. In Zulip Server 6.1 and below, the UI which allows a user to invite a new user also allows them to set the streams that the new user is invited to – even if the inviting user would not have permissions to add an existing user to streams. While such a configuration is likely rare in practice, the behavior does violate security-related controls. This does not let a user invite new users to streams they cannot see, or would not be able to add users to if they had that general permission. This issue has been addressed in version 6.2. Users are advised to upgrade. Users unable to upgrade may limit sending of invitations down to users who also have the permission to add users to streams.

Affected configurations

Vulners
NVD
Node
zulipzulipRange1.9.06.2
VendorProductVersionCPE
zulipzulip*cpe:2.3:a:zulip:zulip:*:*:*:*:*:*:*:*

CNA Affected

[
  {
    "vendor": "zulip",
    "product": "zulip",
    "versions": [
      {
        "version": "> 1.9.0, < 6.2",
        "status": "affected"
      }
    ]
  }
]

3.1 Low

CVSS3

Attack Vector

NETWORK

Attack Complexity

HIGH

Privileges Required

LOW

User Interaction

NONE

Scope

UNCHANGED

Confidentiality Impact

LOW

Integrity Impact

NONE

Availability Impact

NONE

CVSS:3.1/AV:N/AC:H/PR:L/UI:N/S:U/C:L/I:N/A:N

4.1 Medium

AI Score

Confidence

High

0.001 Low

EPSS

Percentile

45.7%

Related for CVE-2023-32677